Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 May 2015 13:29:06 +0300

> Date: Sun, 24 May 2015 13:06:57 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> The relevant place in the display engine where these factors are taken
> into consideration is around line 26388 in xdisp.c, which is part of
> the function x_produce_glyphs.  There you will find a call to the
> function get_per_char_metric, which in turn calls the font driver's
> text_extents method.  The metrics returned by get_per_char_metric
> include ascent and descent, but I think they are not in pixel units.
                              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
This part seems to be incorrect, as I see elsewhere in the code that
phys_ascent and ascent are freely added and subtracted, and the same
for phys_descent and descent.  IOW, the per-character ascent/descent
values are returned in pixel units.

Sorry for any confusion I caused.